%global debug_package %{nil}
%global gituser       tdlib
%global gitname       td
%global commit        63fcfdab8650cb0bc770756ddde891c4b8f3e3d8
%global shortcommit   %(c=%{commit}; echo ${c:0:7})
%global gitcounter    1

Name:           tdlib
Version:        1.8.0.git.%{gitcounter}
Release:        %{shortcommit}%{?dist}
License:        BSL-1.0
Summary:        Cross-platform library for building Telegram clients
URL:            https://github.com/%{gituser}/%{gitname}
Source0:        %{url}/tarball/%{commit}#/%{gituser}-%{name}-%{shortcommit}.tar.gz
BuildRequires:  gperftools-devel
BuildRequires:  openssl-devel
BuildRequires:  ninja-build
BuildRequires:  zlib-devel
BuildRequires:  gcc-c++
BuildRequires:  gperf
BuildRequires:  cmake
BuildRequires:  gcc

Provides: bundled(sqlite) = 3.31.0

%description
TDLib (Telegram Database library) is a cross-platform library for
building Telegram clients. It can be easily used from almost any
programming language.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%package static
Summary: Static libraries for %{name}
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: %{name}-devel%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.

%description static
%{summary}.

%prep
%autosetup -n %{gituser}-%{gitname}-%{shortcommit} -p1
sed -e 's/"DEFAULT"/"PROFILE=SYSTEM"/g' -i tdnet/td/net/SslStream.cpp

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DCMAKE_INSTALL_LIBDIR=%{_lib} \
    -DTD_ENABLE_JNI:BOOL=OFF \
    -DTD_ENABLE_DOTNET:BOOL=OFF \
    -DTD_E2E_ONLY=ON
%cmake_build

%install
%cmake_install

%files
%license LICENSE_1_0.txt
%doc README.md CHANGELOG.md
%{_libdir}/libtd*.so.*

%files devel
%{_includedir}/td
%{_libdir}/libtd*.so
%{_libdir}/cmake/Td
%{_libdir}/pkgconfig/td*.pc

%files static
%{_libdir}/libtd*.a

%changelog
* Fri Jun 20 2025 samoht0 <https://copr.fedorainfracloud.org/coprs/samoht0/> git-master
- git package
- enable TD_E2E_ONLY
